#include <stdio.h>
#include <string.h>
#include "X.h"
#include "os.h"
#include "ibmmouse.h"
#include "ibmkbd.h"
#include "ibmfuncs.h"

extern void screen_abort(void);
extern int mouse_flags;

void
ddxUseMsg()
{
    ErrorF("-mode #                screen mode\n");
    ErrorF("-3bs                   turn off mouse 3-button simulate mode\n");
    ErrorF("-xtkbd                 keyboard is XT style\n");
}

int
ddxProcessArgument(argc, argv, n)
int argc;
char **argv;
int n;
{
	argc = argc;

	/* check argv[n] */
	if (strcmp(argv[n], "-mode") == 0)
		return 2;
	if (strcmp(argv[n], "-3bs") == 0) {
		mouse_flags &= ~MOUSE_SIM3;
		return 1;
	}
	if (strcmp(argv[n], "-xtkbd") == 0) {
		kbd_flags |= KBD_XT;
		return 1;
	}
	return 0;
}

void
AbortDDX()
{
	/*
	kbd_abort();
	mouse_abort();
	*/
	screen_abort();
}

void
ddxGiveUp()
{
}
